Bug 236381 - xmms playback disrupted when restoring from sleep
xmms playback disrupted when restoring from sleep
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2007-04-13 11:01 EDT by Christopher Beland
Modified: 2008-06-16 21:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 21:17:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2007-04-13 11:01:17 EDT
I have Toshiba Satellite M35X laptop. Sometimes I am listening to MP3s using
xmms and I close the laptop cover to put the computer to sleep (without pausing
the playback) while I am travelling.  I reach my destination, wake up the
laptop, and disengage the screen saver.  xmms then "plays" the remainder of the
MP3 (the remaining time display advances, as does the scroll bar) in a few
seconds (even if there are many minutes of playback remaining), but no audio
output can be heard.  I assume there is something going wrong with how the sound
card is being reactivated.

It would be nice to have the audio playback resume normally without any
intervention.  If that's not feasible, having the output pause itself (and thus
requiring me to hit "play" again) would be better than losing my place in the
file.  (It's less annoying when listening to music, but I'm listening to
hour-long podcasts.)  

xmms-1.2.10-29.fc6 using ALSA output plugin
Comment 1 Christopher Beland 2007-08-26 16:11:31 EDT
(The original report was with Fedora Core 6.)


The behavior has changed with Fedora 7.  xmms no longer "plays" the remainder of
the file in a few seconds.  The progress bar is stopped at the place where
playback was when the sleep cycle was initiated.  However, hitting "play"
restarts playback from the beginning of the file, not the place where it was
stopped.  Though this could be an artifact of high load triggering Bug 196583.
Comment 2 Christopher Brown 2007-09-13 11:02:59 EDT

I'm reviewing this bug as part of the kernel bug triage project.


As xmms is no longer actively maintained, I would be interested to learn if you
experience the same issue with audacious, the apparent successor to xmms. This
is just curiosity - I'm not recommending you to switch apps. Also it might help
narrow things down a bit.

Comment 3 Christopher Beland 2007-09-13 12:38:37 EDT
I do *not* see the same behavior with Audacious.  I'm totally switching over;
thanks for the pointer!
Comment 4 Christopher Brown 2007-09-13 14:16:20 EDT
:) Great news Christopher. I'm re-assigning to xmms though there really doesn't
seem much hope of this being fixed.

Comment 5 Bug Zapper 2008-05-14 08:12:33 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2008-06-16 21:17:47 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.